
#ifndef PS_MODULE_UTILS
#define PS_MODULE_UTILS

#include <strings.h>  // for strcasecmp
#include <pslib.h>
#include "psLibUtils.h"
#include "pmObjects.h"
#include "pmModelGroup.h"

// psModule extra utilities
// bool      pmSourceFitModel_EAM(pmSource *source, pmModel *model, const bool PSF);
bool       pmModelFitStatus (pmModel *model);
int      pmSourceDophotType (pmSource *source);
bool      pmSourcePhotometry (float *fitMag, float *obsMag, pmModel *model, psImage *image, psImage *mask);

// XXX: unify with paul's image/header/metadata functions
psF32        pmConfigLookupF32 (bool *status, psMetadata *config, psMetadata *header, char *name);

#endif
